Loading...
Searching...
No Matches
AVDOVIMetadata Struct Reference

Combined struct representing a combination of header, mapping and color metadata, for attaching to frames as side data. More...

`#include <libavutil/dovi_meta.h>`

## Data Fields

size_t | header_offset
| Offset in bytes from the beginning of this structure at which the respective structs start.
size_t | mapping_offset
size_t | color_offset
size_t | ext_block_offset
size_t | ext_block_size
int | num_ext_blocks

## Detailed Description

Combined struct representing a combination of header, mapping and color metadata, for attaching to frames as side data.

Note
  The struct must be allocated with av_dovi_metadata_alloc() and its size is not a part of the public ABI.

Definition at line 345 of file dovi_meta.h.

## Field Documentation

## header_offset

size_t AVDOVIMetadata::header_offset

Offset in bytes from the beginning of this structure at which the respective structs start.

Definition at line 350 of file dovi_meta.h.

Referenced by av_dovi_get_header().

## mapping_offset

size_t AVDOVIMetadata::mapping_offset

Definition at line 351 of file dovi_meta.h.

Referenced by av_dovi_get_mapping().

## color_offset

size_t AVDOVIMetadata::color_offset

Definition at line 352 of file dovi_meta.h.

Referenced by av_dovi_get_color().

## ext_block_offset

size_t AVDOVIMetadata::ext_block_offset

Definition at line 354 of file dovi_meta.h.

Referenced by av_dovi_get_ext().

## ext_block_size

size_t AVDOVIMetadata::ext_block_size

Definition at line 355 of file dovi_meta.h.

Referenced by av_dovi_get_ext().

## num_ext_blocks

int AVDOVIMetadata::num_ext_blocks

Definition at line 356 of file dovi_meta.h.

The documentation for this struct was generated from the following file:

- libavutil/dovi_meta.h